List Bundle Options
GET https://api.secure.quotivity.com/v1/bundles/{bundleId}/optionsRetrieves a paginated list of options for a bundle, including each option’s default product.
Send your API key in the x-api-key header. See Generating API keys.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
bundleId |
string | Yes | — |
Query parameters
Section titled “Query parameters”| Name | Type | Required | Description |
|---|---|---|---|
startKey |
string | No | Cursor for pagination |
limit |
string | No | — |
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
200 |
ListBundleOptionsResponse | Successfully retrieved bundle options |
401 |
— | Unauthorized |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”BundleOption
Section titled “BundleOption”| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
bundleId |
string | Yes | — |
name |
string | Yes | — |
description |
string | No | — |
priceBookId |
string | Yes | — |
displayOrder |
number | Yes | — |
configuration |
BundleOptionConfiguration | Yes | — |
BundleOptionConfiguration
Section titled “BundleOptionConfiguration”| Field | Type | Required | Description |
|---|---|---|---|
minCount |
number | No | — |
maxCount |
number | No | — |
defaultOptionProductId |
string | No | — |
BundleOptionProduct
Section titled “BundleOptionProduct”| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
bundleId |
string | Yes | — |
optionId |
string | Yes | — |
productId |
string | Yes | — |
properties |
map of string to string | Yes | — |
configuration |
BundleProductConfiguration | No | — |
displayOrder |
number | Yes | — |
BundleOptionWithDefaultProduct
Section titled “BundleOptionWithDefaultProduct”Extends BundleOption.
| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
accountId |
string | Yes | — |
bundleId |
string | Yes | — |
name |
string | Yes | — |
description |
string | No | — |
priceBookId |
string | Yes | — |
displayOrder |
number | Yes | — |
configuration |
BundleOptionConfiguration | Yes | — |
defaultProduct |
BundleOptionProduct | No | — |
BundleProductConfiguration
Section titled “BundleProductConfiguration”| Field | Type | Required | Description |
|---|---|---|---|
minQuantity |
number | No | — |
maxQuantity |
number | No | — |
readonlyQuantity |
boolean | No | — |
ListBundleOptionsResponse
Section titled “ListBundleOptionsResponse”| Field | Type | Required | Description |
|---|---|---|---|
options |
BundleOptionWithDefaultProduct[] | Yes | — |
nextKey |
string | No | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.